# constant values defined in Scintilla.iface to be used by TCL clients
namespace eval ScintillaTk {
set INVALID_POSITION -1
set SCI_START 2000
set SCI_OPTIONAL_START 3000
set SCI_LEXER_START 4000
set SCWS_INVISIBLE 0
set SCWS_VISIBLEALWAYS 1
set SCWS_VISIBLEAFTERINDENT 2
set SC_EOL_CRLF 0
set SC_EOL_CR 1
set SC_EOL_LF 2
set SC_CP_UTF8 65001
set MARKER_MAX 31
set SC_MARK_CIRCLE 0
set SC_MARK_ROUNDRECT 1
set SC_MARK_ARROW 2
set SC_MARK_SMALLRECT 3
set SC_MARK_SHORTARROW 4
set SC_MARK_EMPTY 5
set SC_MARK_ARROWDOWN 6
set SC_MARK_MINUS 7
set SC_MARK_PLUS 8
set SC_MARK_VLINE 9
set SC_MARK_LCORNER 10
set SC_MARK_TCORNER 11
set SC_MARK_BOXPLUS 12
set SC_MARK_BOXPLUSCONNECTED 13
set SC_MARK_BOXMINUS 14
set SC_MARK_BOXMINUSCONNECTED 15
set SC_MARK_LCORNERCURVE 16
set SC_MARK_TCORNERCURVE 17
set SC_MARK_CIRCLEPLUS 18
set SC_MARK_CIRCLEPLUSCONNECTED 19
set SC_MARK_CIRCLEMINUS 20
set SC_MARK_CIRCLEMINUSCONNECTED 21
set SC_MARK_BACKGROUND 22
set SC_MARK_DOTDOTDOT 23
set SC_MARK_ARROWS 24
set SC_MARK_PIXMAP 25
set SC_MARK_FULLRECT 26
set SC_MARK_LEFTRECT 27
set SC_MARK_AVAILABLE 28
set SC_MARK_UNDERLINE 29
set SC_MARK_RGBAIMAGE 30
set SC_MARK_CHARACTER 10000
set SC_MARKNUM_FOLDEREND 25
set SC_MARKNUM_FOLDEROPENMID 26
set SC_MARKNUM_FOLDERMIDTAIL 27
set SC_MARKNUM_FOLDERTAIL 28
set SC_MARKNUM_FOLDERSUB 29
set SC_MARKNUM_FOLDER 30
set SC_MARKNUM_FOLDEROPEN 31
set SC_MASK_FOLDERS 0xFE000000
set SC_MAX_MARGIN 4
set SC_MARGIN_SYMBOL 0
set SC_MARGIN_NUMBER 1
set SC_MARGIN_BACK 2
set SC_MARGIN_FORE 3
set SC_MARGIN_TEXT 4
set SC_MARGIN_RTEXT 5
set STYLE_DEFAULT 32
set STYLE_LINENUMBER 33
set STYLE_BRACELIGHT 34
set STYLE_BRACEBAD 35
set STYLE_CONTROLCHAR 36
set STYLE_INDENTGUIDE 37
set STYLE_CALLTIP 38
set STYLE_LASTPREDEFINED 39
set STYLE_MAX 255
set SC_CHARSET_ANSI 0
set SC_CHARSET_DEFAULT 1
set SC_CHARSET_BALTIC 186
set SC_CHARSET_CHINESEBIG5 136
set SC_CHARSET_EASTEUROPE 238
set SC_CHARSET_GB2312 134
set SC_CHARSET_GREEK 161
set SC_CHARSET_HANGUL 129
set SC_CHARSET_MAC 77
set SC_CHARSET_OEM 255
set SC_CHARSET_RUSSIAN 204
set SC_CHARSET_CYRILLIC 1251
set SC_CHARSET_SHIFTJIS 128
set SC_CHARSET_SYMBOL 2
set SC_CHARSET_TURKISH 162
set SC_CHARSET_JOHAB 130
set SC_CHARSET_HEBREW 177
set SC_CHARSET_ARABIC 178
set SC_CHARSET_VIETNAMESE 163
set SC_CHARSET_THAI 222
set SC_CHARSET_8859_15 1000
set SC_CASE_MIXED 0
set SC_CASE_UPPER 1
set SC_CASE_LOWER 2
set SC_FONT_SIZE_MULTIPLIER 100
set SC_WEIGHT_NORMAL 400
set SC_WEIGHT_SEMIBOLD 600
set SC_WEIGHT_BOLD 700
set INDIC_PLAIN 0
set INDIC_SQUIGGLE 1
set INDIC_TT 2
set INDIC_DIAGONAL 3
set INDIC_STRIKE 4
set INDIC_HIDDEN 5
set INDIC_BOX 6
set INDIC_ROUNDBOX 7
set INDIC_STRAIGHTBOX 8
set INDIC_DASH 9
set INDIC_DOTS 10
set INDIC_SQUIGGLELOW 11
set INDIC_DOTBOX 12
set INDIC_SQUIGGLEPIXMAP 13
set INDIC_MAX 31
set INDIC_CONTAINER 8
set INDIC0_MASK 0x20
set INDIC1_MASK 0x40
set INDIC2_MASK 0x80
set INDICS_MASK 0xE0
set SC_IV_NONE 0
set SC_IV_REAL 1
set SC_IV_LOOKFORWARD 2
set SC_IV_LOOKBOTH 3
set SC_PRINT_NORMAL 0
set SC_PRINT_INVERTLIGHT 1
set SC_PRINT_BLACKONWHITE 2
set SC_PRINT_COLOURONWHITE 3
set SC_PRINT_COLOURONWHITEDEFAULTBG 4
set SCFIND_WHOLEWORD 2
set SCFIND_MATCHCASE 4
set SCFIND_WORDSTART 0x00100000
set SCFIND_REGEXP 0x00200000
set SCFIND_POSIX 0x00400000
set SC_FOLDLEVELBASE 0x400
set SC_FOLDLEVELWHITEFLAG 0x1000
set SC_FOLDLEVELHEADERFLAG 0x2000
set SC_FOLDLEVELNUMBERMASK 0x0FFF
set SC_FOLDFLAG_LINEBEFORE_EXPANDED 0x0002
set SC_FOLDFLAG_LINEBEFORE_CONTRACTED 0x0004
set SC_FOLDFLAG_LINEAFTER_EXPANDED 0x0008
set SC_FOLDFLAG_LINEAFTER_CONTRACTED 0x0010
set SC_FOLDFLAG_LEVELNUMBERS 0x0040
set SC_TIME_FOREVER 10000000
set SC_WRAP_NONE 0
set SC_WRAP_WORD 1
set SC_WRAP_CHAR 2
set SC_WRAPVISUALFLAG_NONE 0x0000
set SC_WRAPVISUALFLAG_END 0x0001
set SC_WRAPVISUALFLAG_START 0x0002
set SC_WRAPVISUALFLAG_MARGIN 0x0004
set SC_WRAPVISUALFLAGLOC_DEFAULT 0x0000
set SC_WRAPVISUALFLAGLOC_END_BY_TEXT 0x0001
set SC_WRAPVISUALFLAGLOC_START_BY_TEXT 0x0002
set SC_WRAPINDENT_FIXED 0
set SC_WRAPINDENT_SAME 1
set SC_WRAPINDENT_INDENT 2
set SC_CACHE_NONE 0
set SC_CACHE_CARET 1
set SC_CACHE_PAGE 2
set SC_CACHE_DOCUMENT 3
set SC_EFF_QUALITY_MASK 0xF
set SC_EFF_QUALITY_DEFAULT 0
set SC_EFF_QUALITY_NON_ANTIALIASED 1
set SC_EFF_QUALITY_ANTIALIASED 2
set SC_EFF_QUALITY_LCD_OPTIMIZED 3
set SC_MULTIPASTE_ONCE 0
set SC_MULTIPASTE_EACH 1
set EDGE_NONE 0
set EDGE_LINE 1
set EDGE_BACKGROUND 2
set SC_STATUS_OK 0
set SC_STATUS_FAILURE 1
set SC_STATUS_BADALLOC 2
set SC_CURSORNORMAL -1
set SC_CURSORARROW 2
set SC_CURSORWAIT 4
set SC_CURSORREVERSEARROW 7
set VISIBLE_SLOP 0x01
set VISIBLE_STRICT 0x04
set CARET_SLOP 0x01
set CARET_STRICT 0x04
set CARET_JUMPS 0x10
set CARET_EVEN 0x08
set SC_SEL_STREAM 0
set SC_SEL_RECTANGLE 1
set SC_SEL_LINES 2
set SC_SEL_THIN 3
set SC_CASEINSENSITIVEBEHAVIOUR_RESPECTCASE 0
set SC_CASEINSENSITIVEBEHAVIOUR_IGNORECASE 1
set SC_CARETSTICKY_OFF 0
set SC_CARETSTICKY_ON 1
set SC_CARETSTICKY_WHITESPACE 2
set SC_ALPHA_TRANSPARENT 0
set SC_ALPHA_OPAQUE 255
set SC_ALPHA_NOALPHA 256
set CARETSTYLE_INVISIBLE 0
set CARETSTYLE_LINE 1
set CARETSTYLE_BLOCK 2
set SC_MARGINOPTION_NONE 0
set SC_MARGINOPTION_SUBLINESELECT 1
set ANNOTATION_HIDDEN 0
set ANNOTATION_STANDARD 1
set ANNOTATION_BOXED 2
set UNDO_MAY_COALESCE 1
set SCVS_NONE 0
set SCVS_RECTANGULARSELECTION 1
set SCVS_USERACCESSIBLE 2
set SC_TECHNOLOGY_DEFAULT 0
set SC_TECHNOLOGY_DIRECTWRITE 1
set KEYWORDSET_MAX 8
set SC_TYPE_BOOLEAN 0
set SC_TYPE_INTEGER 1
set SC_TYPE_STRING 2
set SC_MOD_INSERTTEXT 0x1
set SC_MOD_DELETETEXT 0x2
set SC_MOD_CHANGESTYLE 0x4
set SC_MOD_CHANGEFOLD 0x8
set SC_PERFORMED_USER 0x10
set SC_PERFORMED_UNDO 0x20
set SC_PERFORMED_REDO 0x40
set SC_MULTISTEPUNDOREDO 0x80
set SC_LASTSTEPINUNDOREDO 0x100
set SC_MOD_CHANGEMARKER 0x200
set SC_MOD_BEFOREINSERT 0x400
set SC_MOD_BEFOREDELETE 0x800
set SC_MULTILINEUNDOREDO 0x1000
set SC_STARTACTION 0x2000
set SC_MOD_CHANGEINDICATOR 0x4000
set SC_MOD_CHANGELINESTATE 0x8000
set SC_MOD_CHANGEMARGIN 0x10000
set SC_MOD_CHANGEANNOTATION 0x20000
set SC_MOD_CONTAINER 0x40000
set SC_MOD_LEXERSTATE 0x80000
set SC_MODEVENTMASKALL 0xFFFFF
set SC_UPDATE_CONTENT 0x1
set SC_UPDATE_SELECTION 0x2
set SC_UPDATE_V_SCROLL 0x4
set SC_UPDATE_H_SCROLL 0x8
set SCEN_CHANGE 768
set SCEN_SETFOCUS 512
set SCEN_KILLFOCUS 256
set SCK_DOWN 300
set SCK_UP 301
set SCK_LEFT 302
set SCK_RIGHT 303
set SCK_HOME 304
set SCK_END 305
set SCK_PRIOR 306
set SCK_NEXT 307
set SCK_DELETE 308
set SCK_INSERT 309
set SCK_ESCAPE 7
set SCK_BACK 8
set SCK_TAB 9
set SCK_RETURN 13
set SCK_ADD 310
set SCK_SUBTRACT 311
set SCK_DIVIDE 312
set SCK_WIN 313
set SCK_RWIN 314
set SCK_MENU 315
set SCMOD_NORM 0
set SCMOD_SHIFT 1
set SCMOD_CTRL 2
set SCMOD_ALT 4
set SCMOD_SUPER 8
set SCMOD_META 16
set SCLEX_CONTAINER 0
set SCLEX_NULL 1
set SCLEX_PYTHON 2
set SCLEX_CPP 3
set SCLEX_HTML 4
set SCLEX_XML 5
set SCLEX_PERL 6
set SCLEX_SQL 7
set SCLEX_VB 8
set SCLEX_PROPERTIES 9
set SCLEX_ERRORLIST 10
set SCLEX_MAKEFILE 11
set SCLEX_BATCH 12
set SCLEX_XCODE 13
set SCLEX_LATEX 14
set SCLEX_LUA 15
set SCLEX_DIFF 16
set SCLEX_CONF 17
set SCLEX_PASCAL 18
set SCLEX_AVE 19
set SCLEX_ADA 20
set SCLEX_LISP 21
set SCLEX_RUBY 22
set SCLEX_EIFFEL 23
set SCLEX_EIFFELKW 24
set SCLEX_TCL 25
set SCLEX_NNCRONTAB 26
set SCLEX_BULLANT 27
set SCLEX_VBSCRIPT 28
set SCLEX_BAAN 31
set SCLEX_MATLAB 32
set SCLEX_SCRIPTOL 33
set SCLEX_ASM 34
set SCLEX_CPPNOCASE 35
set SCLEX_FORTRAN 36
set SCLEX_F77 37
set SCLEX_CSS 38
set SCLEX_POV 39
set SCLEX_LOUT 40
set SCLEX_ESCRIPT 41
set SCLEX_PS 42
set SCLEX_NSIS 43
set SCLEX_MMIXAL 44
set SCLEX_CLW 45
set SCLEX_CLWNOCASE 46
set SCLEX_LOT 47
set SCLEX_YAML 48
set SCLEX_TEX 49
set SCLEX_METAPOST 50
set SCLEX_POWERBASIC 51
set SCLEX_FORTH 52
set SCLEX_ERLANG 53
set SCLEX_OCTAVE 54
set SCLEX_MSSQL 55
set SCLEX_VERILOG 56
set SCLEX_KIX 57
set SCLEX_GUI4CLI 58
set SCLEX_SPECMAN 59
set SCLEX_AU3 60
set SCLEX_APDL 61
set SCLEX_BASH 62
set SCLEX_ASN1 63
set SCLEX_VHDL 64
set SCLEX_CAML 65
set SCLEX_BLITZBASIC 66
set SCLEX_PUREBASIC 67
set SCLEX_HASKELL 68
set SCLEX_PHPSCRIPT 69
set SCLEX_TADS3 70
set SCLEX_REBOL 71
set SCLEX_SMALLTALK 72
set SCLEX_FLAGSHIP 73
set SCLEX_CSOUND 74
set SCLEX_FREEBASIC 75
set SCLEX_INNOSETUP 76
set SCLEX_OPAL 77
set SCLEX_SPICE 78
set SCLEX_D 79
set SCLEX_CMAKE 80
set SCLEX_GAP 81
set SCLEX_PLM 82
set SCLEX_PROGRESS 83
set SCLEX_ABAQUS 84
set SCLEX_ASYMPTOTE 85
set SCLEX_R 86
set SCLEX_MAGIK 87
set SCLEX_POWERSHELL 88
set SCLEX_MYSQL 89
set SCLEX_PO 90
set SCLEX_TAL 91
set SCLEX_COBOL 92
set SCLEX_TACL 93
set SCLEX_SORCUS 94
set SCLEX_POWERPRO 95
set SCLEX_NIMROD 96
set SCLEX_SML 97
set SCLEX_MARKDOWN 98
set SCLEX_TXT2TAGS 99
set SCLEX_A68K 100
set SCLEX_MODULA 101
set SCLEX_COFFEESCRIPT 102
set SCLEX_TCMD 103
set SCLEX_AVS 104
set SCLEX_ECL 105
set SCLEX_OSCRIPT 106
set SCLEX_VISUALPROLOG 107
set SCLEX_AUTOMATIC 1000
set SCE_P_DEFAULT 0
set SCE_P_COMMENTLINE 1
set SCE_P_NUMBER 2
set SCE_P_STRING 3
set SCE_P_CHARACTER 4
set SCE_P_WORD 5
set SCE_P_TRIPLE 6
set SCE_P_TRIPLEDOUBLE 7
set SCE_P_CLASSNAME 8
set SCE_P_DEFNAME 9
set SCE_P_OPERATOR 10
set SCE_P_IDENTIFIER 11
set SCE_P_COMMENTBLOCK 12
set SCE_P_STRINGEOL 13
set SCE_P_WORD2 14
set SCE_P_DECORATOR 15
set SCE_C_DEFAULT 0
set SCE_C_COMMENT 1
set SCE_C_COMMENTLINE 2
set SCE_C_COMMENTDOC 3
set SCE_C_NUMBER 4
set SCE_C_WORD 5
set SCE_C_STRING 6
set SCE_C_CHARACTER 7
set SCE_C_UUID 8
set SCE_C_PREPROCESSOR 9
set SCE_C_OPERATOR 10
set SCE_C_IDENTIFIER 11
set SCE_C_STRINGEOL 12
set SCE_C_VERBATIM 13
set SCE_C_REGEX 14
set SCE_C_COMMENTLINEDOC 15
set SCE_C_WORD2 16
set SCE_C_COMMENTDOCKEYWORD 17
set SCE_C_COMMENTDOCKEYWORDERROR 18
set SCE_C_GLOBALCLASS 19
set SCE_C_STRINGRAW 20
set SCE_C_TRIPLEVERBATIM 21
set SCE_C_HASHQUOTEDSTRING 22
set SCE_C_PREPROCESSORCOMMENT 23
set SCE_D_DEFAULT 0
set SCE_D_COMMENT 1
set SCE_D_COMMENTLINE 2
set SCE_D_COMMENTDOC 3
set SCE_D_COMMENTNESTED 4
set SCE_D_NUMBER 5
set SCE_D_WORD 6
set SCE_D_WORD2 7
set SCE_D_WORD3 8
set SCE_D_TYPEDEF 9
set SCE_D_STRING 10
set SCE_D_STRINGEOL 11
set SCE_D_CHARACTER 12
set SCE_D_OPERATOR 13
set SCE_D_IDENTIFIER 14
set SCE_D_COMMENTLINEDOC 15
set SCE_D_COMMENTDOCKEYWORD 16
set SCE_D_COMMENTDOCKEYWORDERROR 17
set SCE_D_STRINGB 18
set SCE_D_STRINGR 19
set SCE_D_WORD5 20
set SCE_D_WORD6 21
set SCE_D_WORD7 22
set SCE_TCL_DEFAULT 0
set SCE_TCL_COMMENT 1
set SCE_TCL_COMMENTLINE 2
set SCE_TCL_NUMBER 3
set SCE_TCL_WORD_IN_QUOTE 4
set SCE_TCL_IN_QUOTE 5
set SCE_TCL_OPERATOR 6
set SCE_TCL_IDENTIFIER 7
set SCE_TCL_SUBSTITUTION 8
set SCE_TCL_SUB_BRACE 9
set SCE_TCL_MODIFIER 10
set SCE_TCL_EXPAND 11
set SCE_TCL_WORD 12
set SCE_TCL_WORD2 13
set SCE_TCL_WORD3 14
set SCE_TCL_WORD4 15
set SCE_TCL_WORD5 16
set SCE_TCL_WORD6 17
set SCE_TCL_WORD7 18
set SCE_TCL_WORD8 19
set SCE_TCL_COMMENT_BOX 20
set SCE_TCL_BLOCK_COMMENT 21
set SCE_H_DEFAULT 0
set SCE_H_TAG 1
set SCE_H_TAGUNKNOWN 2
set SCE_H_ATTRIBUTE 3
set SCE_H_ATTRIBUTEUNKNOWN 4
set SCE_H_NUMBER 5
set SCE_H_DOUBLESTRING 6
set SCE_H_SINGLESTRING 7
set SCE_H_OTHER 8
set SCE_H_COMMENT 9
set SCE_H_ENTITY 10
set SCE_H_TAGEND 11
set SCE_H_XMLSTART 12
set SCE_H_XMLEND 13
set SCE_H_SCRIPT 14
set SCE_H_ASP 15
set SCE_H_ASPAT 16
set SCE_H_CDATA 17
set SCE_H_QUESTION 18
set SCE_H_VALUE 19
set SCE_H_XCCOMMENT 20
set SCE_H_SGML_DEFAULT 21
set SCE_H_SGML_COMMAND 22
set SCE_H_SGML_1ST_PARAM 23
set SCE_H_SGML_DOUBLESTRING 24
set SCE_H_SGML_SIMPLESTRING 25
set SCE_H_SGML_ERROR 26
set SCE_H_SGML_SPECIAL 27
set SCE_H_SGML_ENTITY 28
set SCE_H_SGML_COMMENT 29
set SCE_H_SGML_1ST_PARAM_COMMENT 30
set SCE_H_SGML_BLOCK_DEFAULT 31
set SCE_HJ_START 40
set SCE_HJ_DEFAULT 41
set SCE_HJ_COMMENT 42
set SCE_HJ_COMMENTLINE 43
set SCE_HJ_COMMENTDOC 44
set SCE_HJ_NUMBER 45
set SCE_HJ_WORD 46
set SCE_HJ_KEYWORD 47
set SCE_HJ_DOUBLESTRING 48
set SCE_HJ_SINGLESTRING 49
set SCE_HJ_SYMBOLS 50
set SCE_HJ_STRINGEOL 51
set SCE_HJ_REGEX 52
set SCE_HJA_START 55
set SCE_HJA_DEFAULT 56
set SCE_HJA_COMMENT 57
set SCE_HJA_COMMENTLINE 58
set SCE_HJA_COMMENTDOC 59
set SCE_HJA_NUMBER 60
set SCE_HJA_WORD 61
set SCE_HJA_KEYWORD 62
set SCE_HJA_DOUBLESTRING 63
set SCE_HJA_SINGLESTRING 64
set SCE_HJA_SYMBOLS 65
set SCE_HJA_STRINGEOL 66
set SCE_HJA_REGEX 67
set SCE_HB_START 70
set SCE_HB_DEFAULT 71
set SCE_HB_COMMENTLINE 72
set SCE_HB_NUMBER 73
set SCE_HB_WORD 74
set SCE_HB_STRING 75
set SCE_HB_IDENTIFIER 76
set SCE_HB_STRINGEOL 77
set SCE_HBA_START 80
set SCE_HBA_DEFAULT 81
set SCE_HBA_COMMENTLINE 82
set SCE_HBA_NUMBER 83
set SCE_HBA_WORD 84
set SCE_HBA_STRING 85
set SCE_HBA_IDENTIFIER 86
set SCE_HBA_STRINGEOL 87
set SCE_HP_START 90
set SCE_HP_DEFAULT 91
set SCE_HP_COMMENTLINE 92
set SCE_HP_NUMBER 93
set SCE_HP_STRING 94
set SCE_HP_CHARACTER 95
set SCE_HP_WORD 96
set SCE_HP_TRIPLE 97
set SCE_HP_TRIPLEDOUBLE 98
set SCE_HP_CLASSNAME 99
set SCE_HP_DEFNAME 100
set SCE_HP_OPERATOR 101
set SCE_HP_IDENTIFIER 102
set SCE_HPHP_COMPLEX_VARIABLE 104
set SCE_HPA_START 105
set SCE_HPA_DEFAULT 106
set SCE_HPA_COMMENTLINE 107
set SCE_HPA_NUMBER 108
set SCE_HPA_STRING 109
set SCE_HPA_CHARACTER 110
set SCE_HPA_WORD 111
set SCE_HPA_TRIPLE 112
set SCE_HPA_TRIPLEDOUBLE 113
set SCE_HPA_CLASSNAME 114
set SCE_HPA_DEFNAME 115
set SCE_HPA_OPERATOR 116
set SCE_HPA_IDENTIFIER 117
set SCE_HPHP_DEFAULT 118
set SCE_HPHP_HSTRING 119
set SCE_HPHP_SIMPLESTRING 120
set SCE_HPHP_WORD 121
set SCE_HPHP_NUMBER 122
set SCE_HPHP_VARIABLE 123
set SCE_HPHP_COMMENT 124
set SCE_HPHP_COMMENTLINE 125
set SCE_HPHP_HSTRING_VARIABLE 126
set SCE_HPHP_OPERATOR 127
set SCE_PL_DEFAULT 0
set SCE_PL_ERROR 1
set SCE_PL_COMMENTLINE 2
set SCE_PL_POD 3
set SCE_PL_NUMBER 4
set SCE_PL_WORD 5
set SCE_PL_STRING 6
set SCE_PL_CHARACTER 7
set SCE_PL_PUNCTUATION 8
set SCE_PL_PREPROCESSOR 9
set SCE_PL_OPERATOR 10
set SCE_PL_IDENTIFIER 11
set SCE_PL_SCALAR 12
set SCE_PL_ARRAY 13
set SCE_PL_HASH 14
set SCE_PL_SYMBOLTABLE 15
set SCE_PL_VARIABLE_INDEXER 16
set SCE_PL_REGEX 17
set SCE_PL_REGSUBST 18
set SCE_PL_LONGQUOTE 19
set SCE_PL_BACKTICKS 20
set SCE_PL_DATASECTION 21
set SCE_PL_HERE_DELIM 22
set SCE_PL_HERE_Q 23
set SCE_PL_HERE_QQ 24
set SCE_PL_HERE_QX 25
set SCE_PL_STRING_Q 26
set SCE_PL_STRING_QQ 27
set SCE_PL_STRING_QX 28
set SCE_PL_STRING_QR 29
set SCE_PL_STRING_QW 30
set SCE_PL_POD_VERB 31
set SCE_PL_SUB_PROTOTYPE 40
set SCE_PL_FORMAT_IDENT 41
set SCE_PL_FORMAT 42
set SCE_PL_STRING_VAR 43
set SCE_PL_XLAT 44
set SCE_PL_REGEX_VAR 54
set SCE_PL_REGSUBST_VAR 55
set SCE_PL_BACKTICKS_VAR 57
set SCE_PL_HERE_QQ_VAR 61
set SCE_PL_HERE_QX_VAR 62
set SCE_PL_STRING_QQ_VAR 64
set SCE_PL_STRING_QX_VAR 65
set SCE_PL_STRING_QR_VAR 66
set SCE_RB_DEFAULT 0
set SCE_RB_ERROR 1
set SCE_RB_COMMENTLINE 2
set SCE_RB_POD 3
set SCE_RB_NUMBER 4
set SCE_RB_WORD 5
set SCE_RB_STRING 6
set SCE_RB_CHARACTER 7
set SCE_RB_CLASSNAME 8
set SCE_RB_DEFNAME 9
set SCE_RB_OPERATOR 10
set SCE_RB_IDENTIFIER 11
set SCE_RB_REGEX 12
set SCE_RB_GLOBAL 13
set SCE_RB_SYMBOL 14
set SCE_RB_MODULE_NAME 15
set SCE_RB_INSTANCE_VAR 16
set SCE_RB_CLASS_VAR 17
set SCE_RB_BACKTICKS 18
set SCE_RB_DATASECTION 19
set SCE_RB_HERE_DELIM 20
set SCE_RB_HERE_Q 21
set SCE_RB_HERE_QQ 22
set SCE_RB_HERE_QX 23
set SCE_RB_STRING_Q 24
set SCE_RB_STRING_QQ 25
set SCE_RB_STRING_QX 26
set SCE_RB_STRING_QR 27
set SCE_RB_STRING_QW 28
set SCE_RB_WORD_DEMOTED 29
set SCE_RB_STDIN 30
set SCE_RB_STDOUT 31
set SCE_RB_STDERR 40
set SCE_RB_UPPER_BOUND 41
set SCE_B_DEFAULT 0
set SCE_B_COMMENT 1
set SCE_B_NUMBER 2
set SCE_B_KEYWORD 3
set SCE_B_STRING 4
set SCE_B_PREPROCESSOR 5
set SCE_B_OPERATOR 6
set SCE_B_IDENTIFIER 7
set SCE_B_DATE 8
set SCE_B_STRINGEOL 9
set SCE_B_KEYWORD2 10
set SCE_B_KEYWORD3 11
set SCE_B_KEYWORD4 12
set SCE_B_CONSTANT 13
set SCE_B_ASM 14
set SCE_B_LABEL 15
set SCE_B_ERROR 16
set SCE_B_HEXNUMBER 17
set SCE_B_BINNUMBER 18
set SCE_PROPS_DEFAULT 0
set SCE_PROPS_COMMENT 1
set SCE_PROPS_SECTION 2
set SCE_PROPS_ASSIGNMENT 3
set SCE_PROPS_DEFVAL 4
set SCE_PROPS_KEY 5
set SCE_L_DEFAULT 0
set SCE_L_COMMAND 1
set SCE_L_TAG 2
set SCE_L_MATH 3
set SCE_L_COMMENT 4
set SCE_L_TAG2 5
set SCE_L_MATH2 6
set SCE_L_COMMENT2 7
set SCE_L_VERBATIM 8
set SCE_L_SHORTCMD 9
set SCE_L_SPECIAL 10
set SCE_L_CMDOPT 11
set SCE_L_ERROR 12
set SCE_LUA_DEFAULT 0
set SCE_LUA_COMMENT 1
set SCE_LUA_COMMENTLINE 2
set SCE_LUA_COMMENTDOC 3
set SCE_LUA_NUMBER 4
set SCE_LUA_WORD 5
set SCE_LUA_STRING 6
set SCE_LUA_CHARACTER 7
set SCE_LUA_LITERALSTRING 8
set SCE_LUA_PREPROCESSOR 9
set SCE_LUA_OPERATOR 10
set SCE_LUA_IDENTIFIER 11
set SCE_LUA_STRINGEOL 12
set SCE_LUA_WORD2 13
set SCE_LUA_WORD3 14
set SCE_LUA_WORD4 15
set SCE_LUA_WORD5 16
set SCE_LUA_WORD6 17
set SCE_LUA_WORD7 18
set SCE_LUA_WORD8 19
set SCE_LUA_LABEL 20
set SCE_ERR_DEFAULT 0
set SCE_ERR_PYTHON 1
set SCE_ERR_GCC 2
set SCE_ERR_MS 3
set SCE_ERR_CMD 4
set SCE_ERR_BORLAND 5
set SCE_ERR_PERL 6
set SCE_ERR_NET 7
set SCE_ERR_LUA 8
set SCE_ERR_CTAG 9
set SCE_ERR_DIFF_CHANGED 10
set SCE_ERR_DIFF_ADDITION 11
set SCE_ERR_DIFF_DELETION 12
set SCE_ERR_DIFF_MESSAGE 13
set SCE_ERR_PHP 14
set SCE_ERR_ELF 15
set SCE_ERR_IFC 16
set SCE_ERR_IFORT 17
set SCE_ERR_ABSF 18
set SCE_ERR_TIDY 19
set SCE_ERR_JAVA_STACK 20
set SCE_ERR_VALUE 21
set SCE_ERR_GCC_INCLUDED_FROM 22
set SCE_BAT_DEFAULT 0
set SCE_BAT_COMMENT 1
set SCE_BAT_WORD 2
set SCE_BAT_LABEL 3
set SCE_BAT_HIDE 4
set SCE_BAT_COMMAND 5
set SCE_BAT_IDENTIFIER 6
set SCE_BAT_OPERATOR 7
set SCE_TCMD_DEFAULT 0
set SCE_TCMD_COMMENT 1
set SCE_TCMD_WORD 2
set SCE_TCMD_LABEL 3
set SCE_TCMD_HIDE 4
set SCE_TCMD_COMMAND 5
set SCE_TCMD_IDENTIFIER 6
set SCE_TCMD_OPERATOR 7
set SCE_TCMD_ENVIRONMENT 8
set SCE_TCMD_EXPANSION 9
set SCE_TCMD_CLABEL 10
set SCE_MAKE_DEFAULT 0
set SCE_MAKE_COMMENT 1
set SCE_MAKE_PREPROCESSOR 2
set SCE_MAKE_IDENTIFIER 3
set SCE_MAKE_OPERATOR 4
set SCE_MAKE_TARGET 5
set SCE_MAKE_IDEOL 9
set SCE_DIFF_DEFAULT 0
set SCE_DIFF_COMMENT 1
set SCE_DIFF_COMMAND 2
set SCE_DIFF_HEADER 3
set SCE_DIFF_POSITION 4
set SCE_DIFF_DELETED 5
set SCE_DIFF_ADDED 6
set SCE_DIFF_CHANGED 7
set SCE_CONF_DEFAULT 0
set SCE_CONF_COMMENT 1
set SCE_CONF_NUMBER 2
set SCE_CONF_IDENTIFIER 3
set SCE_CONF_EXTENSION 4
set SCE_CONF_PARAMETER 5
set SCE_CONF_STRING 6
set SCE_CONF_OPERATOR 7
set SCE_CONF_IP 8
set SCE_CONF_DIRECTIVE 9
set SCE_AVE_DEFAULT 0
set SCE_AVE_COMMENT 1
set SCE_AVE_NUMBER 2
set SCE_AVE_WORD 3
set SCE_AVE_STRING 6
set SCE_AVE_ENUM 7
set SCE_AVE_STRINGEOL 8
set SCE_AVE_IDENTIFIER 9
set SCE_AVE_OPERATOR 10
set SCE_AVE_WORD1 11
set SCE_AVE_WORD2 12
set SCE_AVE_WORD3 13
set SCE_AVE_WORD4 14
set SCE_AVE_WORD5 15
set SCE_AVE_WORD6 16
set SCE_ADA_DEFAULT 0
set SCE_ADA_WORD 1
set SCE_ADA_IDENTIFIER 2
set SCE_ADA_NUMBER 3
set SCE_ADA_DELIMITER 4
set SCE_ADA_CHARACTER 5
set SCE_ADA_CHARACTEREOL 6
set SCE_ADA_STRING 7
set SCE_ADA_STRINGEOL 8
set SCE_ADA_LABEL 9
set SCE_ADA_COMMENTLINE 10
set SCE_ADA_ILLEGAL 11
set SCE_BAAN_DEFAULT 0
set SCE_BAAN_COMMENT 1
set SCE_BAAN_COMMENTDOC 2
set SCE_BAAN_NUMBER 3
set SCE_BAAN_WORD 4
set SCE_BAAN_STRING 5
set SCE_BAAN_PREPROCESSOR 6
set SCE_BAAN_OPERATOR 7
set SCE_BAAN_IDENTIFIER 8
set SCE_BAAN_STRINGEOL 9
set SCE_BAAN_WORD2 10
set SCE_LISP_DEFAULT 0
set SCE_LISP_COMMENT 1
set SCE_LISP_NUMBER 2
set SCE_LISP_KEYWORD 3
set SCE_LISP_KEYWORD_KW 4
set SCE_LISP_SYMBOL 5
set SCE_LISP_STRING 6
set SCE_LISP_STRINGEOL 8
set SCE_LISP_IDENTIFIER 9
set SCE_LISP_OPERATOR 10
set SCE_LISP_SPECIAL 11
set SCE_LISP_MULTI_COMMENT 12
set SCE_EIFFEL_DEFAULT 0
set SCE_EIFFEL_COMMENTLINE 1
set SCE_EIFFEL_NUMBER 2
set SCE_EIFFEL_WORD 3
set SCE_EIFFEL_STRING 4
set SCE_EIFFEL_CHARACTER 5
set SCE_EIFFEL_OPERATOR 6
set SCE_EIFFEL_IDENTIFIER 7
set SCE_EIFFEL_STRINGEOL 8
set SCE_NNCRONTAB_DEFAULT 0
set SCE_NNCRONTAB_COMMENT 1
set SCE_NNCRONTAB_TASK 2
set SCE_NNCRONTAB_SECTION 3
set SCE_NNCRONTAB_KEYWORD 4
set SCE_NNCRONTAB_MODIFIER 5
set SCE_NNCRONTAB_ASTERISK 6
set SCE_NNCRONTAB_NUMBER 7
set SCE_NNCRONTAB_STRING 8
set SCE_NNCRONTAB_ENVIRONMENT 9
set SCE_NNCRONTAB_IDENTIFIER 10
set SCE_FORTH_DEFAULT 0
set SCE_FORTH_COMMENT 1
set SCE_FORTH_COMMENT_ML 2
set SCE_FORTH_IDENTIFIER 3
set SCE_FORTH_CONTROL 4
set SCE_FORTH_KEYWORD 5
set SCE_FORTH_DEFWORD 6
set SCE_FORTH_PREWORD1 7
set SCE_FORTH_PREWORD2 8
set SCE_FORTH_NUMBER 9
set SCE_FORTH_STRING 10
set SCE_FORTH_LOCALE 11
set SCE_MATLAB_DEFAULT 0
set SCE_MATLAB_COMMENT 1
set SCE_MATLAB_COMMAND 2
set SCE_MATLAB_NUMBER 3
set SCE_MATLAB_KEYWORD 4
set SCE_MATLAB_STRING 5
set SCE_MATLAB_OPERATOR 6
set SCE_MATLAB_IDENTIFIER 7
set SCE_MATLAB_DOUBLEQUOTESTRING 8
set SCE_SCRIPTOL_DEFAULT 0
set SCE_SCRIPTOL_WHITE 1
set SCE_SCRIPTOL_COMMENTLINE 2
set SCE_SCRIPTOL_PERSISTENT 3
set SCE_SCRIPTOL_CSTYLE 4
set SCE_SCRIPTOL_COMMENTBLOCK 5
set SCE_SCRIPTOL_NUMBER 6
set SCE_SCRIPTOL_STRING 7
set SCE_SCRIPTOL_CHARACTER 8
set SCE_SCRIPTOL_STRINGEOL 9
set SCE_SCRIPTOL_KEYWORD 10
set SCE_SCRIPTOL_OPERATOR 11
set SCE_SCRIPTOL_IDENTIFIER 12
set SCE_SCRIPTOL_TRIPLE 13
set SCE_SCRIPTOL_CLASSNAME 14
set SCE_SCRIPTOL_PREPROCESSOR 15
set SCE_ASM_DEFAULT 0
set SCE_ASM_COMMENT 1
set SCE_ASM_NUMBER 2
set SCE_ASM_STRING 3
set SCE_ASM_OPERATOR 4
set SCE_ASM_IDENTIFIER 5
set SCE_ASM_CPUINSTRUCTION 6
set SCE_ASM_MATHINSTRUCTION 7
set SCE_ASM_REGISTER 8
set SCE_ASM_DIRECTIVE 9
set SCE_ASM_DIRECTIVEOPERAND 10
set SCE_ASM_COMMENTBLOCK 11
set SCE_ASM_CHARACTER 12
set SCE_ASM_STRINGEOL 13
set SCE_ASM_EXTINSTRUCTION 14
set SCE_ASM_COMMENTDIRECTIVE 15
set SCE_F_DEFAULT 0
set SCE_F_COMMENT 1
set SCE_F_NUMBER 2
set SCE_F_STRING1 3
set SCE_F_STRING2 4
set SCE_F_STRINGEOL 5
set SCE_F_OPERATOR 6
set SCE_F_IDENTIFIER 7
set SCE_F_WORD 8
set SCE_F_WORD2 9
set SCE_F_WORD3 10
set SCE_F_PREPROCESSOR 11
set SCE_F_OPERATOR2 12
set SCE_F_LABEL 13
set SCE_F_CONTINUATION 14
set SCE_CSS_DEFAULT 0
set SCE_CSS_TAG 1
set SCE_CSS_CLASS 2
set SCE_CSS_PSEUDOCLASS 3
set SCE_CSS_UNKNOWN_PSEUDOCLASS 4
set SCE_CSS_OPERATOR 5
set SCE_CSS_IDENTIFIER 6
set SCE_CSS_UNKNOWN_IDENTIFIER 7
set SCE_CSS_VALUE 8
set SCE_CSS_COMMENT 9
set SCE_CSS_ID 10
set SCE_CSS_IMPORTANT 11
set SCE_CSS_DIRECTIVE 12
set SCE_CSS_DOUBLESTRING 13
set SCE_CSS_SINGLESTRING 14
set SCE_CSS_IDENTIFIER2 15
set SCE_CSS_ATTRIBUTE 16
set SCE_CSS_IDENTIFIER3 17
set SCE_CSS_PSEUDOELEMENT 18
set SCE_CSS_EXTENDED_IDENTIFIER 19
set SCE_CSS_EXTENDED_PSEUDOCLASS 20
set SCE_CSS_EXTENDED_PSEUDOELEMENT 21
set SCE_CSS_MEDIA 22
set SCE_CSS_VARIABLE 23
set SCE_POV_DEFAULT 0
set SCE_POV_COMMENT 1
set SCE_POV_COMMENTLINE 2
set SCE_POV_NUMBER 3
set SCE_POV_OPERATOR 4
set SCE_POV_IDENTIFIER 5
set SCE_POV_STRING 6
set SCE_POV_STRINGEOL 7
set SCE_POV_DIRECTIVE 8
set SCE_POV_BADDIRECTIVE 9
set SCE_POV_WORD2 10
set SCE_POV_WORD3 11
set SCE_POV_WORD4 12
set SCE_POV_WORD5 13
set SCE_POV_WORD6 14
set SCE_POV_WORD7 15
set SCE_POV_WORD8 16
set SCE_LOUT_DEFAULT 0
set SCE_LOUT_COMMENT 1
set SCE_LOUT_NUMBER 2
set SCE_LOUT_WORD 3
set SCE_LOUT_WORD2 4
set SCE_LOUT_WORD3 5
set SCE_LOUT_WORD4 6
set SCE_LOUT_STRING 7
set SCE_LOUT_OPERATOR 8
set SCE_LOUT_IDENTIFIER 9
set SCE_LOUT_STRINGEOL 10
set SCE_ESCRIPT_DEFAULT 0
set SCE_ESCRIPT_COMMENT 1
set SCE_ESCRIPT_COMMENTLINE 2
set SCE_ESCRIPT_COMMENTDOC 3
set SCE_ESCRIPT_NUMBER 4
set SCE_ESCRIPT_WORD 5
set SCE_ESCRIPT_STRING 6
set SCE_ESCRIPT_OPERATOR 7
set SCE_ESCRIPT_IDENTIFIER 8
set SCE_ESCRIPT_BRACE 9
set SCE_ESCRIPT_WORD2 10
set SCE_ESCRIPT_WORD3 11
set SCE_PS_DEFAULT 0
set SCE_PS_COMMENT 1
set SCE_PS_DSC_COMMENT 2
set SCE_PS_DSC_VALUE 3
set SCE_PS_NUMBER 4
set SCE_PS_NAME 5
set SCE_PS_KEYWORD 6
set SCE_PS_LITERAL 7
set SCE_PS_IMMEVAL 8
set SCE_PS_PAREN_ARRAY 9
set SCE_PS_PAREN_DICT 10
set SCE_PS_PAREN_PROC 11
set SCE_PS_TEXT 12
set SCE_PS_HEXSTRING 13
set SCE_PS_BASE85STRING 14
set SCE_PS_BADSTRINGCHAR 15
set SCE_NSIS_DEFAULT 0
set SCE_NSIS_COMMENT 1
set SCE_NSIS_STRINGDQ 2
set SCE_NSIS_STRINGLQ 3
set SCE_NSIS_STRINGRQ 4
set SCE_NSIS_FUNCTION 5
set SCE_NSIS_VARIABLE 6
set SCE_NSIS_LABEL 7
set SCE_NSIS_USERDEFINED 8
set SCE_NSIS_SECTIONDEF 9
set SCE_NSIS_SUBSECTIONDEF 10
set SCE_NSIS_IFDEFINEDEF 11
set SCE_NSIS_MACRODEF 12
set SCE_NSIS_STRINGVAR 13
set SCE_NSIS_NUMBER 14
set SCE_NSIS_SECTIONGROUP 15
set SCE_NSIS_PAGEEX 16
set SCE_NSIS_FUNCTIONDEF 17
set SCE_NSIS_COMMENTBOX 18
set SCE_MMIXAL_LEADWS 0
set SCE_MMIXAL_COMMENT 1
set SCE_MMIXAL_LABEL 2
set SCE_MMIXAL_OPCODE 3
set SCE_MMIXAL_OPCODE_PRE 4
set SCE_MMIXAL_OPCODE_VALID 5
set SCE_MMIXAL_OPCODE_UNKNOWN 6
set SCE_MMIXAL_OPCODE_POST 7
set SCE_MMIXAL_OPERANDS 8
set SCE_MMIXAL_NUMBER 9
set SCE_MMIXAL_REF 10
set SCE_MMIXAL_CHAR 11
set SCE_MMIXAL_STRING 12
set SCE_MMIXAL_REGISTER 13
set SCE_MMIXAL_HEX 14
set SCE_MMIXAL_OPERATOR 15
set SCE_MMIXAL_SYMBOL 16
set SCE_MMIXAL_INCLUDE 17
set SCE_CLW_DEFAULT 0
set SCE_CLW_LABEL 1
set SCE_CLW_COMMENT 2
set SCE_CLW_STRING 3
set SCE_CLW_USER_IDENTIFIER 4
set SCE_CLW_INTEGER_CONSTANT 5
set SCE_CLW_REAL_CONSTANT 6
set SCE_CLW_PICTURE_STRING 7
set SCE_CLW_KEYWORD 8
set SCE_CLW_COMPILER_DIRECTIVE 9
set SCE_CLW_RUNTIME_EXPRESSIONS 10
set SCE_CLW_BUILTIN_PROCEDURES_FUNCTION 11
set SCE_CLW_STRUCTURE_DATA_TYPE 12
set SCE_CLW_ATTRIBUTE 13
set SCE_CLW_STANDARD_EQUATE 14
set SCE_CLW_ERROR 15
set SCE_CLW_DEPRECATED 16
set SCE_LOT_DEFAULT 0
set SCE_LOT_HEADER 1
set SCE_LOT_BREAK 2
set SCE_LOT_SET 3
set SCE_LOT_PASS 4
set SCE_LOT_FAIL 5
set SCE_LOT_ABORT 6
set SCE_YAML_DEFAULT 0
set SCE_YAML_COMMENT 1
set SCE_YAML_IDENTIFIER 2
set SCE_YAML_KEYWORD 3
set SCE_YAML_NUMBER 4
set SCE_YAML_REFERENCE 5
set SCE_YAML_DOCUMENT 6
set SCE_YAML_TEXT 7
set SCE_YAML_ERROR 8
set SCE_YAML_OPERATOR 9
set SCE_TEX_DEFAULT 0
set SCE_TEX_SPECIAL 1
set SCE_TEX_GROUP 2
set SCE_TEX_SYMBOL 3
set SCE_TEX_COMMAND 4
set SCE_TEX_TEXT 5
set SCE_METAPOST_DEFAULT 0
set SCE_METAPOST_SPECIAL 1
set SCE_METAPOST_GROUP 2
set SCE_METAPOST_SYMBOL 3
set SCE_METAPOST_COMMAND 4
set SCE_METAPOST_TEXT 5
set SCE_METAPOST_EXTRA 6
set SCE_ERLANG_DEFAULT 0
set SCE_ERLANG_COMMENT 1
set SCE_ERLANG_VARIABLE 2
set SCE_ERLANG_NUMBER 3
set SCE_ERLANG_KEYWORD 4
set SCE_ERLANG_STRING 5
set SCE_ERLANG_OPERATOR 6
set SCE_ERLANG_ATOM 7
set SCE_ERLANG_FUNCTION_NAME 8
set SCE_ERLANG_CHARACTER 9
set SCE_ERLANG_MACRO 10
set SCE_ERLANG_RECORD 11
set SCE_ERLANG_PREPROC 12
set SCE_ERLANG_NODE_NAME 13
set SCE_ERLANG_COMMENT_FUNCTION 14
set SCE_ERLANG_COMMENT_MODULE 15
set SCE_ERLANG_COMMENT_DOC 16
set SCE_ERLANG_COMMENT_DOC_MACRO 17
set SCE_ERLANG_ATOM_QUOTED 18
set SCE_ERLANG_MACRO_QUOTED 19
set SCE_ERLANG_RECORD_QUOTED 20
set SCE_ERLANG_NODE_NAME_QUOTED 21
set SCE_ERLANG_BIFS 22
set SCE_ERLANG_MODULES 23
set SCE_ERLANG_MODULES_ATT 24
set SCE_ERLANG_UNKNOWN 31
set SCE_MSSQL_DEFAULT 0
set SCE_MSSQL_COMMENT 1
set SCE_MSSQL_LINE_COMMENT 2
set SCE_MSSQL_NUMBER 3
set SCE_MSSQL_STRING 4
set SCE_MSSQL_OPERATOR 5
set SCE_MSSQL_IDENTIFIER 6
set SCE_MSSQL_VARIABLE 7
set SCE_MSSQL_COLUMN_NAME 8
set SCE_MSSQL_STATEMENT 9
set SCE_MSSQL_DATATYPE 10
set SCE_MSSQL_SYSTABLE 11
set SCE_MSSQL_GLOBAL_VARIABLE 12
set SCE_MSSQL_FUNCTION 13
set SCE_MSSQL_STORED_PROCEDURE 14
set SCE_MSSQL_DEFAULT_PREF_DATATYPE 15
set SCE_MSSQL_COLUMN_NAME_2 16
set SCE_V_DEFAULT 0
set SCE_V_COMMENT 1
set SCE_V_COMMENTLINE 2
set SCE_V_COMMENTLINEBANG 3
set SCE_V_NUMBER 4
set SCE_V_WORD 5
set SCE_V_STRING 6
set SCE_V_WORD2 7
set SCE_V_WORD3 8
set SCE_V_PREPROCESSOR 9
set SCE_V_OPERATOR 10
set SCE_V_IDENTIFIER 11
set SCE_V_STRINGEOL 12
set SCE_V_USER 19
set SCE_KIX_DEFAULT 0
set SCE_KIX_COMMENT 1
set SCE_KIX_STRING1 2
set SCE_KIX_STRING2 3
set SCE_KIX_NUMBER 4
set SCE_KIX_VAR 5
set SCE_KIX_MACRO 6
set SCE_KIX_KEYWORD 7
set SCE_KIX_FUNCTIONS 8
set SCE_KIX_OPERATOR 9
set SCE_KIX_IDENTIFIER 31
set SCE_GC_DEFAULT 0
set SCE_GC_COMMENTLINE 1
set SCE_GC_COMMENTBLOCK 2
set SCE_GC_GLOBAL 3
set SCE_GC_EVENT 4
set SCE_GC_ATTRIBUTE 5
set SCE_GC_CONTROL 6
set SCE_GC_COMMAND 7
set SCE_GC_STRING 8
set SCE_GC_OPERATOR 9
set SCE_SN_DEFAULT 0
set SCE_SN_CODE 1
set SCE_SN_COMMENTLINE 2
set SCE_SN_COMMENTLINEBANG 3
set SCE_SN_NUMBER 4
set SCE_SN_WORD 5
set SCE_SN_STRING 6
set SCE_SN_WORD2 7
set SCE_SN_WORD3 8
set SCE_SN_PREPROCESSOR 9
set SCE_SN_OPERATOR 10
set SCE_SN_IDENTIFIER 11
set SCE_SN_STRINGEOL 12
set SCE_SN_REGEXTAG 13
set SCE_SN_SIGNAL 14
set SCE_SN_USER 19
set SCE_AU3_DEFAULT 0
set SCE_AU3_COMMENT 1
set SCE_AU3_COMMENTBLOCK 2
set SCE_AU3_NUMBER 3
set SCE_AU3_FUNCTION 4
set SCE_AU3_KEYWORD 5
set SCE_AU3_MACRO 6
set SCE_AU3_STRING 7
set SCE_AU3_OPERATOR 8
set SCE_AU3_VARIABLE 9
set SCE_AU3_SENT 10
set SCE_AU3_PREPROCESSOR 11
set SCE_AU3_SPECIAL 12
set SCE_AU3_EXPAND 13
set SCE_AU3_COMOBJ 14
set SCE_AU3_UDF 15
set SCE_APDL_DEFAULT 0
set SCE_APDL_COMMENT 1
set SCE_APDL_COMMENTBLOCK 2
set SCE_APDL_NUMBER 3
set SCE_APDL_STRING 4
set SCE_APDL_OPERATOR 5
set SCE_APDL_WORD 6
set SCE_APDL_PROCESSOR 7
set SCE_APDL_COMMAND 8
set SCE_APDL_SLASHCOMMAND 9
set SCE_APDL_STARCOMMAND 10
set SCE_APDL_ARGUMENT 11
set SCE_APDL_FUNCTION 12
set SCE_SH_DEFAULT 0
set SCE_SH_ERROR 1
set SCE_SH_COMMENTLINE 2
set SCE_SH_NUMBER 3
set SCE_SH_WORD 4
set SCE_SH_STRING 5
set SCE_SH_CHARACTER 6
set SCE_SH_OPERATOR 7
set SCE_SH_IDENTIFIER 8
set SCE_SH_SCALAR 9
set SCE_SH_PARAM 10
set SCE_SH_BACKTICKS 11
set SCE_SH_HERE_DELIM 12
set SCE_SH_HERE_Q 13
set SCE_ASN1_DEFAULT 0
set SCE_ASN1_COMMENT 1
set SCE_ASN1_IDENTIFIER 2
set SCE_ASN1_STRING 3
set SCE_ASN1_OID 4
set SCE_ASN1_SCALAR 5
set SCE_ASN1_KEYWORD 6
set SCE_ASN1_ATTRIBUTE 7
set SCE_ASN1_DESCRIPTOR 8
set SCE_ASN1_TYPE 9
set SCE_ASN1_OPERATOR 10
set SCE_VHDL_DEFAULT 0
set SCE_VHDL_COMMENT 1
set SCE_VHDL_COMMENTLINEBANG 2
set SCE_VHDL_NUMBER 3
set SCE_VHDL_STRING 4
set SCE_VHDL_OPERATOR 5
set SCE_VHDL_IDENTIFIER 6
set SCE_VHDL_STRINGEOL 7
set SCE_VHDL_KEYWORD 8
set SCE_VHDL_STDOPERATOR 9
set SCE_VHDL_ATTRIBUTE 10
set SCE_VHDL_STDFUNCTION 11
set SCE_VHDL_STDPACKAGE 12
set SCE_VHDL_STDTYPE 13
set SCE_VHDL_USERWORD 14
set SCE_CAML_DEFAULT 0
set SCE_CAML_IDENTIFIER 1
set SCE_CAML_TAGNAME 2
set SCE_CAML_KEYWORD 3
set SCE_CAML_KEYWORD2 4
set SCE_CAML_KEYWORD3 5
set SCE_CAML_LINENUM 6
set SCE_CAML_OPERATOR 7
set SCE_CAML_NUMBER 8
set SCE_CAML_CHAR 9
set SCE_CAML_WHITE 10
set SCE_CAML_STRING 11
set SCE_CAML_COMMENT 12
set SCE_CAML_COMMENT1 13
set SCE_CAML_COMMENT2 14
set SCE_CAML_COMMENT3 15
set SCE_HA_DEFAULT 0
set SCE_HA_IDENTIFIER 1
set SCE_HA_KEYWORD 2
set SCE_HA_NUMBER 3
set SCE_HA_STRING 4
set SCE_HA_CHARACTER 5
set SCE_HA_CLASS 6
set SCE_HA_MODULE 7
set SCE_HA_CAPITAL 8
set SCE_HA_DATA 9
set SCE_HA_IMPORT 10
set SCE_HA_OPERATOR 11
set SCE_HA_INSTANCE 12
set SCE_HA_COMMENTLINE 13
set SCE_HA_COMMENTBLOCK 14
set SCE_HA_COMMENTBLOCK2 15
set SCE_HA_COMMENTBLOCK3 16
set SCE_T3_DEFAULT 0
set SCE_T3_X_DEFAULT 1
set SCE_T3_PREPROCESSOR 2
set SCE_T3_BLOCK_COMMENT 3
set SCE_T3_LINE_COMMENT 4
set SCE_T3_OPERATOR 5
set SCE_T3_KEYWORD 6
set SCE_T3_NUMBER 7
set SCE_T3_IDENTIFIER 8
set SCE_T3_S_STRING 9
set SCE_T3_D_STRING 10
set SCE_T3_X_STRING 11
set SCE_T3_LIB_DIRECTIVE 12
set SCE_T3_MSG_PARAM 13
set SCE_T3_HTML_TAG 14
set SCE_T3_HTML_DEFAULT 15
set SCE_T3_HTML_STRING 16
set SCE_T3_USER1 17
set SCE_T3_USER2 18
set SCE_T3_USER3 19
set SCE_T3_BRACE 20
set SCE_REBOL_DEFAULT 0
set SCE_REBOL_COMMENTLINE 1
set SCE_REBOL_COMMENTBLOCK 2
set SCE_REBOL_PREFACE 3
set SCE_REBOL_OPERATOR 4
set SCE_REBOL_CHARACTER 5
set SCE_REBOL_QUOTEDSTRING 6
set SCE_REBOL_BRACEDSTRING 7
set SCE_REBOL_NUMBER 8
set SCE_REBOL_PAIR 9
set SCE_REBOL_TUPLE 10
set SCE_REBOL_BINARY 11
set SCE_REBOL_MONEY 12
set SCE_REBOL_ISSUE 13
set SCE_REBOL_TAG 14
set SCE_REBOL_FILE 15
set SCE_REBOL_EMAIL 16
set SCE_REBOL_URL 17
set SCE_REBOL_DATE 18
set SCE_REBOL_TIME 19
set SCE_REBOL_IDENTIFIER 20
set SCE_REBOL_WORD 21
set SCE_REBOL_WORD2 22
set SCE_REBOL_WORD3 23
set SCE_REBOL_WORD4 24
set SCE_REBOL_WORD5 25
set SCE_REBOL_WORD6 26
set SCE_REBOL_WORD7 27
set SCE_REBOL_WORD8 28
set SCE_SQL_DEFAULT 0
set SCE_SQL_COMMENT 1
set SCE_SQL_COMMENTLINE 2
set SCE_SQL_COMMENTDOC 3
set SCE_SQL_NUMBER 4
set SCE_SQL_WORD 5
set SCE_SQL_STRING 6
set SCE_SQL_CHARACTER 7
set SCE_SQL_SQLPLUS 8
set SCE_SQL_SQLPLUS_PROMPT 9
set SCE_SQL_OPERATOR 10
set SCE_SQL_IDENTIFIER 11
set SCE_SQL_SQLPLUS_COMMENT 13
set SCE_SQL_COMMENTLINEDOC 15
set SCE_SQL_WORD2 16
set SCE_SQL_COMMENTDOCKEYWORD 17
set SCE_SQL_COMMENTDOCKEYWORDERROR 18
set SCE_SQL_USER1 19
set SCE_SQL_USER2 20
set SCE_SQL_USER3 21
set SCE_SQL_USER4 22
set SCE_SQL_QUOTEDIDENTIFIER 23
set SCE_ST_DEFAULT 0
set SCE_ST_STRING 1
set SCE_ST_NUMBER 2
set SCE_ST_COMMENT 3
set SCE_ST_SYMBOL 4
set SCE_ST_BINARY 5
set SCE_ST_BOOL 6
set SCE_ST_SELF 7
set SCE_ST_SUPER 8
set SCE_ST_NIL 9
set SCE_ST_GLOBAL 10
set SCE_ST_RETURN 11
set SCE_ST_SPECIAL 12
set SCE_ST_KWSEND 13
set SCE_ST_ASSIGN 14
set SCE_ST_CHARACTER 15
set SCE_ST_SPEC_SEL 16
set SCE_FS_DEFAULT 0
set SCE_FS_COMMENT 1
set SCE_FS_COMMENTLINE 2
set SCE_FS_COMMENTDOC 3
set SCE_FS_COMMENTLINEDOC 4
set SCE_FS_COMMENTDOCKEYWORD 5
set SCE_FS_COMMENTDOCKEYWORDERROR 6
set SCE_FS_KEYWORD 7
set SCE_FS_KEYWORD2 8
set SCE_FS_KEYWORD3 9
set SCE_FS_KEYWORD4 10
set SCE_FS_NUMBER 11
set SCE_FS_STRING 12
set SCE_FS_PREPROCESSOR 13
set SCE_FS_OPERATOR 14
set SCE_FS_IDENTIFIER 15
set SCE_FS_DATE 16
set SCE_FS_STRINGEOL 17
set SCE_FS_CONSTANT 18
set SCE_FS_WORDOPERATOR 19
set SCE_FS_DISABLEDCODE 20
set SCE_FS_DEFAULT_C 21
set SCE_FS_COMMENTDOC_C 22
set SCE_FS_COMMENTLINEDOC_C 23
set SCE_FS_KEYWORD_C 24
set SCE_FS_KEYWORD2_C 25
set SCE_FS_NUMBER_C 26
set SCE_FS_STRING_C 27
set SCE_FS_PREPROCESSOR_C 28
set SCE_FS_OPERATOR_C 29
set SCE_FS_IDENTIFIER_C 30
set SCE_FS_STRINGEOL_C 31
set SCE_CSOUND_DEFAULT 0
set SCE_CSOUND_COMMENT 1
set SCE_CSOUND_NUMBER 2
set SCE_CSOUND_OPERATOR 3
set SCE_CSOUND_INSTR 4
set SCE_CSOUND_IDENTIFIER 5
set SCE_CSOUND_OPCODE 6
set SCE_CSOUND_HEADERSTMT 7
set SCE_CSOUND_USERKEYWORD 8
set SCE_CSOUND_COMMENTBLOCK 9
set SCE_CSOUND_PARAM 10
set SCE_CSOUND_ARATE_VAR 11
set SCE_CSOUND_KRATE_VAR 12
set SCE_CSOUND_IRATE_VAR 13
set SCE_CSOUND_GLOBAL_VAR 14
set SCE_CSOUND_STRINGEOL 15
set SCE_INNO_DEFAULT 0
set SCE_INNO_COMMENT 1
set SCE_INNO_KEYWORD 2
set SCE_INNO_PARAMETER 3
set SCE_INNO_SECTION 4
set SCE_INNO_PREPROC 5
set SCE_INNO_INLINE_EXPANSION 6
set SCE_INNO_COMMENT_PASCAL 7
set SCE_INNO_KEYWORD_PASCAL 8
set SCE_INNO_KEYWORD_USER 9
set SCE_INNO_STRING_DOUBLE 10
set SCE_INNO_STRING_SINGLE 11
set SCE_INNO_IDENTIFIER 12
set SCE_OPAL_SPACE 0
set SCE_OPAL_COMMENT_BLOCK 1
set SCE_OPAL_COMMENT_LINE 2
set SCE_OPAL_INTEGER 3
set SCE_OPAL_KEYWORD 4
set SCE_OPAL_SORT 5
set SCE_OPAL_STRING 6
set SCE_OPAL_PAR 7
set SCE_OPAL_BOOL_CONST 8
set SCE_OPAL_DEFAULT 32
set SCE_SPICE_DEFAULT 0
set SCE_SPICE_IDENTIFIER 1
set SCE_SPICE_KEYWORD 2
set SCE_SPICE_KEYWORD2 3
set SCE_SPICE_KEYWORD3 4
set SCE_SPICE_NUMBER 5
set SCE_SPICE_DELIMITER 6
set SCE_SPICE_VALUE 7
set SCE_SPICE_COMMENTLINE 8
set SCE_CMAKE_DEFAULT 0
set SCE_CMAKE_COMMENT 1
set SCE_CMAKE_STRINGDQ 2
set SCE_CMAKE_STRINGLQ 3
set SCE_CMAKE_STRINGRQ 4
set SCE_CMAKE_COMMANDS 5
set SCE_CMAKE_PARAMETERS 6
set SCE_CMAKE_VARIABLE 7
set SCE_CMAKE_USERDEFINED 8
set SCE_CMAKE_WHILEDEF 9
set SCE_CMAKE_FOREACHDEF 10
set SCE_CMAKE_IFDEFINEDEF 11
set SCE_CMAKE_MACRODEF 12
set SCE_CMAKE_STRINGVAR 13
set SCE_CMAKE_NUMBER 14
set SCE_GAP_DEFAULT 0
set SCE_GAP_IDENTIFIER 1
set SCE_GAP_KEYWORD 2
set SCE_GAP_KEYWORD2 3
set SCE_GAP_KEYWORD3 4
set SCE_GAP_KEYWORD4 5
set SCE_GAP_STRING 6
set SCE_GAP_CHAR 7
set SCE_GAP_OPERATOR 8
set SCE_GAP_COMMENT 9
set SCE_GAP_NUMBER 10
set SCE_GAP_STRINGEOL 11
set SCE_PLM_DEFAULT 0
set SCE_PLM_COMMENT 1
set SCE_PLM_STRING 2
set SCE_PLM_NUMBER 3
set SCE_PLM_IDENTIFIER 4
set SCE_PLM_OPERATOR 5
set SCE_PLM_CONTROL 6
set SCE_PLM_KEYWORD 7
set SCE_4GL_DEFAULT 0
set SCE_4GL_NUMBER 1
set SCE_4GL_WORD 2
set SCE_4GL_STRING 3
set SCE_4GL_CHARACTER 4
set SCE_4GL_PREPROCESSOR 5
set SCE_4GL_OPERATOR 6
set SCE_4GL_IDENTIFIER 7
set SCE_4GL_BLOCK 8
set SCE_4GL_END 9
set SCE_4GL_COMMENT1 10
set SCE_4GL_COMMENT2 11
set SCE_4GL_COMMENT3 12
set SCE_4GL_COMMENT4 13
set SCE_4GL_COMMENT5 14
set SCE_4GL_COMMENT6 15
set SCE_4GL_DEFAULT_ 16
set SCE_4GL_NUMBER_ 17
set SCE_4GL_WORD_ 18
set SCE_4GL_STRING_ 19
set SCE_4GL_CHARACTER_ 20
set SCE_4GL_PREPROCESSOR_ 21
set SCE_4GL_OPERATOR_ 22
set SCE_4GL_IDENTIFIER_ 23
set SCE_4GL_BLOCK_ 24
set SCE_4GL_END_ 25
set SCE_4GL_COMMENT1_ 26
set SCE_4GL_COMMENT2_ 27
set SCE_4GL_COMMENT3_ 28
set SCE_4GL_COMMENT4_ 29
set SCE_4GL_COMMENT5_ 30
set SCE_4GL_COMMENT6_ 31
set SCE_ABAQUS_DEFAULT 0
set SCE_ABAQUS_COMMENT 1
set SCE_ABAQUS_COMMENTBLOCK 2
set SCE_ABAQUS_NUMBER 3
set SCE_ABAQUS_STRING 4
set SCE_ABAQUS_OPERATOR 5
set SCE_ABAQUS_WORD 6
set SCE_ABAQUS_PROCESSOR 7
set SCE_ABAQUS_COMMAND 8
set SCE_ABAQUS_SLASHCOMMAND 9
set SCE_ABAQUS_STARCOMMAND 10
set SCE_ABAQUS_ARGUMENT 11
set SCE_ABAQUS_FUNCTION 12
set SCE_ASY_DEFAULT 0
set SCE_ASY_COMMENT 1
set SCE_ASY_COMMENTLINE 2
set SCE_ASY_NUMBER 3
set SCE_ASY_WORD 4
set SCE_ASY_STRING 5
set SCE_ASY_CHARACTER 6
set SCE_ASY_OPERATOR 7
set SCE_ASY_IDENTIFIER 8
set SCE_ASY_STRINGEOL 9
set SCE_ASY_COMMENTLINEDOC 10
set SCE_ASY_WORD2 11
set SCE_R_DEFAULT 0
set SCE_R_COMMENT 1
set SCE_R_KWORD 2
set SCE_R_BASEKWORD 3
set SCE_R_OTHERKWORD 4
set SCE_R_NUMBER 5
set SCE_R_STRING 6
set SCE_R_STRING2 7
set SCE_R_OPERATOR 8
set SCE_R_IDENTIFIER 9
set SCE_R_INFIX 10
set SCE_R_INFIXEOL 11
set SCE_MAGIK_DEFAULT 0
set SCE_MAGIK_COMMENT 1
set SCE_MAGIK_HYPER_COMMENT 16
set SCE_MAGIK_STRING 2
set SCE_MAGIK_CHARACTER 3
set SCE_MAGIK_NUMBER 4
set SCE_MAGIK_IDENTIFIER 5
set SCE_MAGIK_OPERATOR 6
set SCE_MAGIK_FLOW 7
set SCE_MAGIK_CONTAINER 8
set SCE_MAGIK_BRACKET_BLOCK 9
set SCE_MAGIK_BRACE_BLOCK 10
set SCE_MAGIK_SQBRACKET_BLOCK 11
set SCE_MAGIK_UNKNOWN_KEYWORD 12
set SCE_MAGIK_KEYWORD 13
set SCE_MAGIK_PRAGMA 14
set SCE_MAGIK_SYMBOL 15
set SCE_POWERSHELL_DEFAULT 0
set SCE_POWERSHELL_COMMENT 1
set SCE_POWERSHELL_STRING 2
set SCE_POWERSHELL_CHARACTER 3
set SCE_POWERSHELL_NUMBER 4
set SCE_POWERSHELL_VARIABLE 5
set SCE_POWERSHELL_OPERATOR 6
set SCE_POWERSHELL_IDENTIFIER 7
set SCE_POWERSHELL_KEYWORD 8
set SCE_POWERSHELL_CMDLET 9
set SCE_POWERSHELL_ALIAS 10
set SCE_POWERSHELL_FUNCTION 11
set SCE_POWERSHELL_USER1 12
set SCE_POWERSHELL_COMMENTSTREAM 13
set SCE_MYSQL_DEFAULT 0
set SCE_MYSQL_COMMENT 1
set SCE_MYSQL_COMMENTLINE 2
set SCE_MYSQL_VARIABLE 3
set SCE_MYSQL_SYSTEMVARIABLE 4
set SCE_MYSQL_KNOWNSYSTEMVARIABLE 5
set SCE_MYSQL_NUMBER 6
set SCE_MYSQL_MAJORKEYWORD 7
set SCE_MYSQL_KEYWORD 8
set SCE_MYSQL_DATABASEOBJECT 9
set SCE_MYSQL_PROCEDUREKEYWORD 10
set SCE_MYSQL_STRING 11
set SCE_MYSQL_SQSTRING 12
set SCE_MYSQL_DQSTRING 13
set SCE_MYSQL_OPERATOR 14
set SCE_MYSQL_FUNCTION 15
set SCE_MYSQL_IDENTIFIER 16
set SCE_MYSQL_QUOTEDIDENTIFIER 17
set SCE_MYSQL_USER1 18
set SCE_MYSQL_USER2 19
set SCE_MYSQL_USER3 20
set SCE_MYSQL_HIDDENCOMMAND 21
set SCE_MYSQL_PLACEHOLDER 22
set SCE_PO_DEFAULT 0
set SCE_PO_COMMENT 1
set SCE_PO_MSGID 2
set SCE_PO_MSGID_TEXT 3
set SCE_PO_MSGSTR 4
set SCE_PO_MSGSTR_TEXT 5
set SCE_PO_MSGCTXT 6
set SCE_PO_MSGCTXT_TEXT 7
set SCE_PO_FUZZY 8
set SCE_PO_PROGRAMMER_COMMENT 9
set SCE_PO_REFERENCE 10
set SCE_PO_FLAGS 11
set SCE_PO_MSGID_TEXT_EOL 12
set SCE_PO_MSGSTR_TEXT_EOL 13
set SCE_PO_MSGCTXT_TEXT_EOL 14
set SCE_PO_ERROR 15
set SCE_PAS_DEFAULT 0
set SCE_PAS_IDENTIFIER 1
set SCE_PAS_COMMENT 2
set SCE_PAS_COMMENT2 3
set SCE_PAS_COMMENTLINE 4
set SCE_PAS_PREPROCESSOR 5
set SCE_PAS_PREPROCESSOR2 6
set SCE_PAS_NUMBER 7
set SCE_PAS_HEXNUMBER 8
set SCE_PAS_WORD 9
set SCE_PAS_STRING 10
set SCE_PAS_STRINGEOL 11
set SCE_PAS_CHARACTER 12
set SCE_PAS_OPERATOR 13
set SCE_PAS_ASM 14
set SCE_SORCUS_DEFAULT 0
set SCE_SORCUS_COMMAND 1
set SCE_SORCUS_PARAMETER 2
set SCE_SORCUS_COMMENTLINE 3
set SCE_SORCUS_STRING 4
set SCE_SORCUS_STRINGEOL 5
set SCE_SORCUS_IDENTIFIER 6
set SCE_SORCUS_OPERATOR 7
set SCE_SORCUS_NUMBER 8
set SCE_SORCUS_CONSTANT 9
set SCE_POWERPRO_DEFAULT 0
set SCE_POWERPRO_COMMENTBLOCK 1
set SCE_POWERPRO_COMMENTLINE 2
set SCE_POWERPRO_NUMBER 3
set SCE_POWERPRO_WORD 4
set SCE_POWERPRO_WORD2 5
set SCE_POWERPRO_WORD3 6
set SCE_POWERPRO_WORD4 7
set SCE_POWERPRO_DOUBLEQUOTEDSTRING 8
set SCE_POWERPRO_SINGLEQUOTEDSTRING 9
set SCE_POWERPRO_LINECONTINUE 10
set SCE_POWERPRO_OPERATOR 11
set SCE_POWERPRO_IDENTIFIER 12
set SCE_POWERPRO_STRINGEOL 13
set SCE_POWERPRO_VERBATIM 14
set SCE_POWERPRO_ALTQUOTE 15
set SCE_POWERPRO_FUNCTION 16
set SCE_SML_DEFAULT 0
set SCE_SML_IDENTIFIER 1
set SCE_SML_TAGNAME 2
set SCE_SML_KEYWORD 3
set SCE_SML_KEYWORD2 4
set SCE_SML_KEYWORD3 5
set SCE_SML_LINENUM 6
set SCE_SML_OPERATOR 7
set SCE_SML_NUMBER 8
set SCE_SML_CHAR 9
set SCE_SML_STRING 11
set SCE_SML_COMMENT 12
set SCE_SML_COMMENT1 13
set SCE_SML_COMMENT2 14
set SCE_SML_COMMENT3 15
set SCE_MARKDOWN_DEFAULT 0
set SCE_MARKDOWN_LINE_BEGIN 1
set SCE_MARKDOWN_STRONG1 2
set SCE_MARKDOWN_STRONG2 3
set SCE_MARKDOWN_EM1 4
set SCE_MARKDOWN_EM2 5
set SCE_MARKDOWN_HEADER1 6
set SCE_MARKDOWN_HEADER2 7
set SCE_MARKDOWN_HEADER3 8
set SCE_MARKDOWN_HEADER4 9
set SCE_MARKDOWN_HEADER5 10
set SCE_MARKDOWN_HEADER6 11
set SCE_MARKDOWN_PRECHAR 12
set SCE_MARKDOWN_ULIST_ITEM 13
set SCE_MARKDOWN_OLIST_ITEM 14
set SCE_MARKDOWN_BLOCKQUOTE 15
set SCE_MARKDOWN_STRIKEOUT 16
set SCE_MARKDOWN_HRULE 17
set SCE_MARKDOWN_LINK 18
set SCE_MARKDOWN_CODE 19
set SCE_MARKDOWN_CODE2 20
set SCE_MARKDOWN_CODEBK 21
set SCE_TXT2TAGS_DEFAULT 0
set SCE_TXT2TAGS_LINE_BEGIN 1
set SCE_TXT2TAGS_STRONG1 2
set SCE_TXT2TAGS_STRONG2 3
set SCE_TXT2TAGS_EM1 4
set SCE_TXT2TAGS_EM2 5
set SCE_TXT2TAGS_HEADER1 6
set SCE_TXT2TAGS_HEADER2 7
set SCE_TXT2TAGS_HEADER3 8
set SCE_TXT2TAGS_HEADER4 9
set SCE_TXT2TAGS_HEADER5 10
set SCE_TXT2TAGS_HEADER6 11
set SCE_TXT2TAGS_PRECHAR 12
set SCE_TXT2TAGS_ULIST_ITEM 13
set SCE_TXT2TAGS_OLIST_ITEM 14
set SCE_TXT2TAGS_BLOCKQUOTE 15
set SCE_TXT2TAGS_STRIKEOUT 16
set SCE_TXT2TAGS_HRULE 17
set SCE_TXT2TAGS_LINK 18
set SCE_TXT2TAGS_CODE 19
set SCE_TXT2TAGS_CODE2 20
set SCE_TXT2TAGS_CODEBK 21
set SCE_TXT2TAGS_COMMENT 22
set SCE_TXT2TAGS_OPTION 23
set SCE_TXT2TAGS_PREPROC 24
set SCE_TXT2TAGS_POSTPROC 25
set SCE_A68K_DEFAULT 0
set SCE_A68K_COMMENT 1
set SCE_A68K_NUMBER_DEC 2
set SCE_A68K_NUMBER_BIN 3
set SCE_A68K_NUMBER_HEX 4
set SCE_A68K_STRING1 5
set SCE_A68K_OPERATOR 6
set SCE_A68K_CPUINSTRUCTION 7
set SCE_A68K_EXTINSTRUCTION 8
set SCE_A68K_REGISTER 9
set SCE_A68K_DIRECTIVE 10
set SCE_A68K_MACRO_ARG 11
set SCE_A68K_LABEL 12
set SCE_A68K_STRING2 13
set SCE_A68K_IDENTIFIER 14
set SCE_A68K_MACRO_DECLARATION 15
set SCE_A68K_COMMENT_WORD 16
set SCE_A68K_COMMENT_SPECIAL 17
set SCE_A68K_COMMENT_DOXYGEN 18
set SCE_MODULA_DEFAULT 0
set SCE_MODULA_COMMENT 1
set SCE_MODULA_DOXYCOMM 2
set SCE_MODULA_DOXYKEY 3
set SCE_MODULA_KEYWORD 4
set SCE_MODULA_RESERVED 5
set SCE_MODULA_NUMBER 6
set SCE_MODULA_BASENUM 7
set SCE_MODULA_FLOAT 8
set SCE_MODULA_STRING 9
set SCE_MODULA_STRSPEC 10
set SCE_MODULA_CHAR 11
set SCE_MODULA_CHARSPEC 12
set SCE_MODULA_PROC 13
set SCE_MODULA_PRAGMA 14
set SCE_MODULA_PRGKEY 15
set SCE_MODULA_OPERATOR 16
set SCE_MODULA_BADSTR 17
set SCE_COFFEESCRIPT_DEFAULT 0
set SCE_COFFEESCRIPT_COMMENT 1
set SCE_COFFEESCRIPT_COMMENTLINE 2
set SCE_COFFEESCRIPT_COMMENTDOC 3
set SCE_COFFEESCRIPT_NUMBER 4
set SCE_COFFEESCRIPT_WORD 5
set SCE_COFFEESCRIPT_STRING 6
set SCE_COFFEESCRIPT_CHARACTER 7
set SCE_COFFEESCRIPT_UUID 8
set SCE_COFFEESCRIPT_PREPROCESSOR 9
set SCE_COFFEESCRIPT_OPERATOR 10
set SCE_COFFEESCRIPT_IDENTIFIER 11
set SCE_COFFEESCRIPT_STRINGEOL 12
set SCE_COFFEESCRIPT_VERBATIM 13
set SCE_COFFEESCRIPT_REGEX 14
set SCE_COFFEESCRIPT_COMMENTLINEDOC 15
set SCE_COFFEESCRIPT_WORD2 16
set SCE_COFFEESCRIPT_COMMENTDOCKEYWORD 17
set SCE_COFFEESCRIPT_COMMENTDOCKEYWORDERROR 18
set SCE_COFFEESCRIPT_GLOBALCLASS 19
set SCE_COFFEESCRIPT_STRINGRAW 20
set SCE_COFFEESCRIPT_TRIPLEVERBATIM 21
set SCE_COFFEESCRIPT_HASHQUOTEDSTRING 22
set SCE_COFFEESCRIPT_COMMENTBLOCK 22
set SCE_COFFEESCRIPT_VERBOSE_REGEX 23
set SCE_COFFEESCRIPT_VERBOSE_REGEX_COMMENT 24
set SCE_AVS_DEFAULT 0
set SCE_AVS_COMMENTBLOCK 1
set SCE_AVS_COMMENTBLOCKN 2
set SCE_AVS_COMMENTLINE 3
set SCE_AVS_NUMBER 4
set SCE_AVS_OPERATOR 5
set SCE_AVS_IDENTIFIER 6
set SCE_AVS_STRING 7
set SCE_AVS_TRIPLESTRING 8
set SCE_AVS_KEYWORD 9
set SCE_AVS_FILTER 10
set SCE_AVS_PLUGIN 11
set SCE_AVS_FUNCTION 12
set SCE_AVS_CLIPPROP 13
set SCE_AVS_USERDFN 14
set SCE_ECL_DEFAULT 0
set SCE_ECL_COMMENT 1
set SCE_ECL_COMMENTLINE 2
set SCE_ECL_NUMBER 3
set SCE_ECL_STRING 4
set SCE_ECL_WORD0 5
set SCE_ECL_OPERATOR 6
set SCE_ECL_CHARACTER 7
set SCE_ECL_UUID 8
set SCE_ECL_PREPROCESSOR 9
set SCE_ECL_UNKNOWN 10
set SCE_ECL_IDENTIFIER 11
set SCE_ECL_STRINGEOL 12
set SCE_ECL_VERBATIM 13
set SCE_ECL_REGEX 14
set SCE_ECL_COMMENTLINEDOC 15
set SCE_ECL_WORD1 16
set SCE_ECL_COMMENTDOCKEYWORD 17
set SCE_ECL_COMMENTDOCKEYWORDERROR 18
set SCE_ECL_WORD2 19
set SCE_ECL_WORD3 20
set SCE_ECL_WORD4 21
set SCE_ECL_WORD5 22
set SCE_ECL_COMMENTDOC 23
set SCE_ECL_ADDED 24
set SCE_ECL_DELETED 25
set SCE_ECL_CHANGED 26
set SCE_ECL_MOVED 27
set SCE_OSCRIPT_DEFAULT 0
set SCE_OSCRIPT_LINE_COMMENT 1
set SCE_OSCRIPT_BLOCK_COMMENT 2
set SCE_OSCRIPT_DOC_COMMENT 3
set SCE_OSCRIPT_PREPROCESSOR 4
set SCE_OSCRIPT_NUMBER 5
set SCE_OSCRIPT_SINGLEQUOTE_STRING 6
set SCE_OSCRIPT_DOUBLEQUOTE_STRING 7
set SCE_OSCRIPT_CONSTANT 8
set SCE_OSCRIPT_IDENTIFIER 9
set SCE_OSCRIPT_GLOBAL 10
set SCE_OSCRIPT_KEYWORD 11
set SCE_OSCRIPT_OPERATOR 12
set SCE_OSCRIPT_LABEL 13
set SCE_OSCRIPT_TYPE 14
set SCE_OSCRIPT_FUNCTION 15
set SCE_OSCRIPT_OBJECT 16
set SCE_OSCRIPT_PROPERTY 17
set SCE_OSCRIPT_METHOD 18
set SCE_VISUALPROLOG_DEFAULT 0
set SCE_VISUALPROLOG_KEY_MAJOR 1
set SCE_VISUALPROLOG_KEY_MINOR 2
set SCE_VISUALPROLOG_KEY_DIRECTIVE 3
set SCE_VISUALPROLOG_COMMENT_BLOCK 4
set SCE_VISUALPROLOG_COMMENT_LINE 5
set SCE_VISUALPROLOG_COMMENT_KEY 6
set SCE_VISUALPROLOG_COMMENT_KEY_ERROR 7
set SCE_VISUALPROLOG_IDENTIFIER 8
set SCE_VISUALPROLOG_VARIABLE 9
set SCE_VISUALPROLOG_ANONYMOUS 10
set SCE_VISUALPROLOG_NUMBER 11
set SCE_VISUALPROLOG_OPERATOR 12
set SCE_VISUALPROLOG_CHARACTER 13
set SCE_VISUALPROLOG_CHARACTER_TOO_MANY 14
set SCE_VISUALPROLOG_CHARACTER_ESCAPE_ERROR 15
set SCE_VISUALPROLOG_STRING 16
set SCE_VISUALPROLOG_STRING_ESCAPE 17
set SCE_VISUALPROLOG_STRING_ESCAPE_ERROR 18
set SCE_VISUALPROLOG_STRING_EOL_OPEN 19
set SCE_VISUALPROLOG_STRING_VERBATIM 20
set SCE_VISUALPROLOG_STRING_VERBATIM_SPECIAL 21
set SCE_VISUALPROLOG_STRING_VERBATIM_EOL 22
set SC_LINE_END_TYPE_DEFAULT 0
set SC_LINE_END_TYPE_UNICODE 1
set SC_CP_DBCS 1
}
